//
//  AiService.swift
//  untitled
//
//  Created by Raj Sharma on 05/03/24.
//

import Foundation
import LangChain

class TranslationService {
    let template = """
    Translate all input to hinglish (hindi in english).
    
    {history}
    Human: {human_input}
    Assistant:
    """
    
    lazy var chatgpt_chain: LLMChain = {
        LLMChain(
            llm: OpenAI(),
            prompt: PromptTemplate(input_variables: ["history", "human_input"], partial_variable: [:], template: template),
            memory: ConversationBufferWindowMemory()
        )
    }()
    
    func translate(text: String) async throws -> String {
        let input = text
        // Assuming `chatgpt_chain.predict` returns a String and might throw an error.
        guard let response = await chatgpt_chain.predict(args: ["human_input": input]) else { return "Failed" }
        return response
    }
    
}
