//
//  ContentView.swift
//  untitled
//
//  Created by Raj Sharma on 04/03/24.
//

import SwiftUI

struct ContentView: View {
    @StateObject var viewModel = ContentViewModel()
    
    var body: some View {
        VStack {
            if viewModel.isLoading {
                // Replace with a custom loading view if needed
                LoadingView()
            } else if let responseString = viewModel.translatedText {
                Text(responseString)
            } else if let error = viewModel.error {
                // Replace with a custom error view if needed
                ErrorView(errorText:error.localizedDescription)
            }
        }.padding()
            .onAppear {
                Task {
                    await viewModel.updateUIWithTranslation(for: "Hello mom")
                }
            }
    }
}



#Preview {
    ContentView()
}

